#pragma once

class CVaxServerExCOM;

class CVaxDirectProxy
{

public:
	
	CVaxDirectProxy(CVaxServerExCOM* pServerExCOM);
	~CVaxDirectProxy();

private:

	CVaxServerExCOM* m_pServerExCOM;

	CString m_sAuthLogin, m_sAuthPwd, m_sToPeerName;
	CString m_sDomainRealm, m_sProxyIP, m_sCodecList, m_sRoomName;
	CString m_sQueueName, m_sRingGroupName;

	LONG m_lProxyPort; int m_nToPeerType;

	BOOL m_bBlocked;
	
public:

	void SetData(LPCTSTR sAuthLogin, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxyIP, LONG lProxyPort, LPCTSTR sCodecList, int nToPeerType, LPCTSTR sToPeerName, BOOL bBlocked, LPCTSTR sRoomName, LPCTSTR sQueueName, LPCTSTR sRingGroupName);
	void GetData(CString& sAuthLogin, CString& sAuthPwd, CString& sDomainRealm, CString& sProxyIP, LONG& lProxyPort, CString& sCodecList, int& nToPeerType, CString& sToPeerName, BOOL& bBlocked, CString& sRoomName, CString& sQueueName, CString& sRingGroupName);

};

