#include "StdAfx.h"
#include "Define.h"
#include "VaxLine.h"
#include "VaxServerExCOM.h"


CVaxLine::CVaxLine(CVaxServerExCOM* pServerExCOM)
{
	m_pServerExCOM = pServerExCOM;
}

CVaxLine::~CVaxLine()
{
}

void CVaxLine::OnLineRegisterTrying(LPCTSTR sLineName)
{
	
}
void CVaxLine::OnLineRegisterFailed(LPCTSTR sLineName, LONG lStatusCode, LPCTSTR sReasonPhrase)
{
	
}
void CVaxLine::OnLineRegisterSuccess(LPCTSTR sLineName)
{
	
}

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////

void CVaxLine::SetData(LPCTSTR sDisplayName, LPCTSTR sUserName, LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxySIP, LPCTSTR sCodecList, BOOL bRegister, int nToPeerType, LPCTSTR sToPeerName, BOOL bRejected, LPCTSTR sRoomName, LPCTSTR sQueueName, LPCTSTR sRingGroupName)
{
	m_sDisplayName = sDisplayName;
	m_sUserName    = sUserName;
	
	m_sAuthUser    = sAuthUser;
	m_sAuthPwd     = sAuthPwd;

	m_sDomainRealm = sDomainRealm;
	m_sProxySIP    = sProxySIP;
	
	m_sCodecList   = sCodecList;
	
	m_sToPeerName  = sToPeerName;
	m_nToPeerType  = nToPeerType;
	
	m_sRoomName    = sRoomName;
	
	m_bRegister    = bRegister;
	m_bRejected    = bRejected;

	m_sQueueName = sQueueName;
	m_sRingGroupName = sRingGroupName;
}

void CVaxLine::GetData(CString& sDisplayName, CString& sUserName, CString& sAuthUser, CString& sAuthPwd, CString& sDomainRealm, CString& sProxySIP, CString& sCodecList, BOOL& bRegister, int& nToPeerType, CString& sToPeerName, BOOL& bRejected, CString& sRoomName, CString& sQueueName, CString& sRingGroupName)
{
	sDisplayName = m_sDisplayName;
	sUserName    = m_sUserName;
	
	sAuthUser    = m_sAuthUser;
	sAuthPwd     = m_sAuthPwd;

	sDomainRealm = m_sDomainRealm;
	sProxySIP    = m_sProxySIP;
	
	sCodecList   = m_sCodecList;
	
	sToPeerName  = m_sToPeerName;
	nToPeerType  = m_nToPeerType;
	
	sRoomName    = m_sRoomName;
	
	bRegister    = m_bRegister;
	bRejected    = m_bRejected;

	sQueueName = m_sQueueName;
	sRingGroupName = m_sRingGroupName;
}

