﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace ServerSIP
{
    class cVaxRegUserList
    {
        Hashtable m_objRegUserList = null;

        public cVaxRegUserList()
        {
            m_objRegUserList = new Hashtable();
        }

        public cVaxRegUser AddRegUserData(string sUserName)
        {
            cVaxRegUser objVaxRegUser = (cVaxRegUser)m_objRegUserList[sUserName];

            if(objVaxRegUser != null)
                return objVaxRegUser;

            objVaxRegUser = new cVaxRegUser();

            m_objRegUserList.Add(sUserName, objVaxRegUser);

            return objVaxRegUser;
        }

        public cVaxRegUser GetRegUserData(string sUserName)
        {
            cVaxRegUser objVaxRegUser = (cVaxRegUser)m_objRegUserList[sUserName];

            if(objVaxRegUser == null)
                return null;
                
            return objVaxRegUser;
        }

        public void RemoveRegUserData(string sUserName)
        {
            cVaxRegUser objVaxRegUser = (cVaxRegUser)m_objRegUserList[sUserName];

            if(objVaxRegUser == null)
                return;
               
            m_objRegUserList.Remove(sUserName);
        }

        public void DeleteRegUserAll()
        {
            foreach (Object objData in m_objRegUserList.Values)
            {
                cVaxRegUser objVaxRegUser = (cVaxRegUser)objData;
            }

            m_objRegUserList.Clear();
        }

        public int GetRegUserCount()
        {
            return m_objRegUserList.Count;
        }
    }
}
