#pragma once

#include "StoreRegistry.h"

class CStoreUser :public CStoreRegistry
{
public:

	CStoreUser(void);
   ~CStoreUser(void);

public:

	BOOL AddUser(LPCTSTR sUserName, LPCTSTR sPassword, LPCTSTR sCodecList, BOOL bBlocked, BOOL bStealthlisten);
	BOOL GetUser(LPCTSTR sUserName, CString& sPassword, CString& sCodecList, BOOL& bBlocked, BOOL& bStealthlisten);
	void GetUserAll(CStringList* pLoginList);
	BOOL RemoveUser(LPCTSTR sUserName);
    
	BOOL AddUserRoute(LPCTSTR sUserName, LPCTSTR sUserPrefix, LPCTSTR sDialPrefix, int nToPeerType, LPCTSTR sToPeerName);
	BOOL GetUserRoute(LPCTSTR sUserName, CString& sUserPrefix, CString& sDialPrefix, int& nToPeerType, CString& sToPeerName);
	BOOL RemoveUserRoute(LPCTSTR sUserName);

	BOOL IsDataStored();
};


