#pragma once

class CVaxServerExCOM;

class CVaxChat
{

public:

	CVaxChat(CVaxServerExCOM* pServerExCOM);
	~CVaxChat(void);

private:
	
	CVaxServerExCOM* m_pServerExCOM;

public:

	void OnChatMessageText(LONG lChatMsgId, LPCTSTR sMsgFrom, LPCTSTR sMsgTo, LPCTSTR sMsgText, LONG lFromPeerType, LPCTSTR sFromPeerName, LPCTSTR sFromIP, LONG lFromPort);
	void OnChatMessageTyping(LONG lChatMsgId, LPCTSTR sMsgFrom, LPCTSTR sMsgTo, BOOL IsTypingStart, LONG lFromPeerType, LPCTSTR sFromPeerName, LPCTSTR sFromIP, LONG lFromPort);
	void OnChatStatusSubscribe(LONG lSubscrbId, LPCTSTR sMsgFrom, LPCTSTR sMsgTo, LONG lFromPeerType, LPCTSTR sFromPeerName, LPCTSTR sFromIP, LONG lFromPort);

	void OnChatMessageSuccess(LONG lChatMsgId);
	void OnChatMessageFailed(LONG lChatMsgId, LONG lStatusId, LPCTSTR sReasonPhrase);
	void OnChatMessageTimeout(LONG lChatMsgId);
};

